Bug 104249 - php SRPM has silent IMAP dependency
php SRPM has silent IMAP dependency
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: php (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-11 15:09 EDT by Graham Freeman
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0501
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-23 16:21:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham Freeman 2003-09-11 15:09:00 EDT
Description of problem:

When running 'rpm --rebuild php-4.1.2-2.1.6.src.rpm' on RHEL ES 2.1 without the
'imap-devel' package installed, the following error occurs during the build process:

[...begin partial quote...]
checking for iconv support... yes
checking for iconv_open in -lc... yes
checking for IMAP support... yes, shared
checking for pam_start in -lpam... yes
checking for crypt in -lcrypt... (cached) yes
configure: error: Cannot find rfc822.h. Please check your IMAP installation.
error: Bad exit status from /var/tmp/rpm-tmp.9654 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.9654 (%build)
[...end quote...]


Version-Release number of selected component (if applicable):

4.1.2-2.1.6.src

How reproducible:

Every time

Steps to Reproduce:
1. Run 'rpm --rebuild php-4.1.2-2.1.6.src.rpm' on RHEL ES 2.1 without any 'imap'
RPMs installed
2.
3.
    
Actual results:

Compilation fails due to unresolved dependency

Expected results:

Unresolved dependency should be checked and reported as normal by RPM, instead
of causing simple compilation failure.

Additional info:

Installing 'imap-devel-2001a-10.0as' via up2date allows compilation to complete
successfully.
Comment 1 Joe Orton 2003-09-11 15:40:00 EDT
Duplicate of bug 74819 for Red Hat Linux.
Comment 2 Walter R. Moore 2004-04-02 14:20:46 EST
php also doesn't build in RHEL AS3. Ther's no imap-devel package in
the distrop that I cna find.

I'm very interested in a solution; we need to recompile php to add
oci8 support.
Comment 6 Red Hat Bugzilla 2006-05-23 16:21:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0501.html

Note You need to log in before you can comment on or make changes to this bug.